{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    View Quiz Questions
{% endblock %}

{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                View Quiz Questions
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li>
                    <button type="button" class="btn1 btn-orange" data-toggle="modal"
                            data-target="#editConfirmationModal">
                        Edit
                    </button>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <div role="alert" class="alert alert-success alert-dismissible fade in" align="center">
                    <h4>{{ staffCourseInstance.course }}</h4>
                    <h5>Quiz <strong>{{ unitTestNumber }}</strong></h5>
                </div>
            </div>
        </div>
        <div class="col-md-offset-7">
            <button type="button" class="btn1 btn1-primary" id='getPdfWithAnswer'>
                PDF with Answer
            </button>
            <button type="button" class="btn1 btn1-primary" id='getPdfWithoutAnswer'>
                PDF without Answer
            </button>
        </div>
        <form method="POST">{% csrf_token %}
            <div class="modal" id="editConfirmationModal" tabindex="-1" role="dialog"
                 aria-labelledby="myModalLabel1" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            <h4 class="modal-title" id="myModalLabel1">Edit Confirmation</h4>
                        </div>
                        <div class="modal-body">
                            <h3>
                                <ul>
                                    <li>Are you sure to Edit?</li>
                                </ul>
                            </h3>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn1 btn1-secondary" data-dismiss="modal">Close</button>
                            <button type="button" class="btn1 btn-indigo" id="editPattern">Yes</button>
                        </div>
                    </div>
                </div>
            </div>
            <div class="form-horizontal form-label-left">
                {% for question in quizQuestionList %}
                    <table class="table table-bordered" style="table-layout: fixed">
                        <tr>
                            <td style="width: 10%; font-weight: bolder" align="center">
                                Q {{ question.questionNumber }}</td>
                            <th style="word-wrap: break-word">{{ question.question }}</th>
                        </tr>
                        {% if question.option1 or question.option1 == '' %}
                            <tr {% if question.rightAnswer == 1 %}style="font-weight: bolder;font-size-adjust: 0.7"{% endif %}>
                                <td style="width: 10%" align="center">
                                    Option 1
                                </td>
                                <td style="word-wrap: break-word">{{ question.option1 }}</td>
                            </tr>
                        {% endif %}
                        {% if question.option2 or question.option2 == '' %}
                            <tr {% if question.rightAnswer == 2 %}style="font-weight: bolder;font-size-adjust: 0.7"{% endif %}>
                                <td style="width: 10%" align="center">
                                    Option 2
                                </td>
                                <td style="word-wrap: break-word">{{ question.option2 }}</td>
                            </tr>
                        {% endif %}
                        {% if question.option3 or question.option3 == '' %}
                            <tr {% if question.rightAnswer == 3 %}style="font-weight: bolder;font-size-adjust: 0.7"{% endif %}>
                                <td style="width: 10%" align="center">
                                    Option 3
                                </td>
                                <td style="word-wrap: break-word">{{ question.option3 }}</td>
                            </tr>
                        {% endif %}
                        {% if question.option4 or question.option4 == '' %}
                            <tr {% if question.rightAnswer == 4 %}style="font-weight: bolder;font-size-adjust: 0.7"{% endif %}>
                                <td style="width: 10%" align="center">
                                    Option 4
                                </td>
                                <td style="word-wrap: break-word">{{ question.option4 }}</td>
                            </tr>
                        {% endif %}
                        {% if question.option5 or question.option5 == '' %}
                            <tr {% if question.rightAnswer == 5 %}style="font-weight: bolder;font-size-adjust: 0.7"{% endif %}>
                                <td style="width: 10%" align="center">
                                    Option 5
                                </td>
                                <td style="word-wrap: break-word">{{ question.option5 }}</td>
                            </tr>
                        {% endif %}
                    </table>
                {% endfor %}
            </div>
        </form>
    </div>



    <script type="text/javascript">

        $('#editPattern').click(function () {
            window.open('{% url 'editQuizQuestions' staffCoursePk=staffCourseInstance.pk unitTestNumber=unitTestNumber %}', '_self');
        });

        $('document').ready(function () {
            $('#getPdfWithAnswer').click(function () {
                window.open('{% url 'quizQuestionAnswerPdfReport' staffCoursePk=staffCourseInstance.pk unitTestNumber=unitTestNumber %}', '_self');
            });

            $('#getPdfWithoutAnswer').click(function () {
                window.open('{% url 'quizQuestionPdfReport' staffCoursePk=staffCourseInstance.pk unitTestNumber=unitTestNumber %}', '_self');
            });
        });

    </script>

{% endblock %}